Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#20608 closed defect (fixed)

MathJax LaTeX plugin is not compatible with Tor Messenger 0.2.0b2

Reported by: madystar Owned by:
Priority: Medium Milestone:
Component: Archived/Tor Messenger Version:
Severity: Normal Keywords: MathJax, addons, tor-messenger
Cc: arlolra, boklm Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

When I first searched it on the Add-ons menu I could not find it. I had to directly download it from the instantbird plugins website at this address:

https://addons.instantbird.org/en-US/instantbird/addon/340

I then used the "Install Add-on from file" in the Add-ons menu but then I got the following error:

MathJax LaTeX could not be installed because it is not compatible with Tor Messenger 0.2.0b2.

It would be really great if this issue could be resolved, since it's practically impossible to chat about maths without MathJax.

Child Tickets

Change History (4)

comment:1 Changed 2 years ago by madystar

Forgot to precise: This add-on works perfectly with Instantbird.

comment:2 Changed 2 years ago by arlolra

Resolution: fixed
Status: newclosed

Thanks for reporting!

The problem is that we were setting the app version to Tor Messenger's, rather than Instantbird's, so the add-on manager considered it invalid for that version.

Fixed in https://gitweb.torproject.org/tor-messenger-build.git/commit/?id=ec41e467065ab4c8d5b64e0b2b8f16fe5c1a2871

That patch should go out in next week's update. If you want to get this working sooner, you download the add-on from the page you linked to above. Extract it (rename .xpi to .zip, and unzip). Edit the file called install.rdf,

        <em:minVersion>0</em:minVersion>
        <em:maxVersion>*</em:maxVersion>

Then, inside the extracted directory, run zip -r mathjax_latex-1.6-instantbird.xpi * to recreate the .xpi

You can then install from file, as you did above.

comment:3 Changed 2 years ago by madystar

@arlolra Thanks, that works perfectly! :)

comment:4 Changed 2 years ago by arlolra

Note that in future versions of Tor Messenger, you may need to enable svg.in-content.enabled and disable mathml.disabled.

Note: See TracTickets for help on using tickets.